unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    RadioGroup1: TRadioGroup;
    Edit1: TEdit;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var cena: Currency;
begin
  cena:=123.456;
  CurrencyFormat:=2; //zl 123.46
  Currencystring:=char($A3);
  //CurrencyFormat:=1;  //123,46zl
  Label1.Caption:=CurrToStrF(cena,ffCurrency,2);

end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
var i:integer;
begin
//  Label1.Font.Name:='Arial';
  case RadioGroup1.ItemIndex of
  0:begin
     Label1.Font.Charset:=EASTEUROPE_CHARSET;
     Label1.Caption:=Edit1.Text+' zł';
    end;
  1: Label1.Caption:=FloatToStrF(StrToFloat(Edit1.Text)/4,ffFixed,5,2)+'$';
  2:begin
      Label1.Font.Charset:=ANSI_CHARSET;
      Label1.Caption:=FloatToStrF(StrToFloat(Edit1.Text)/4.2,ffFixed,5,2)+Chr($A3);
    end;
  3: Label1.Caption:=FloatToStrF(StrToFloat(Edit1.Text)/6,ffFixed, 5,2)+'€';//Alt-0128
  end;
end;

end.
